Package org.eclipse.lemminx.settings

## Class FaultTolerantTypeAdapterFactory

- java.lang.Object
- - org.eclipse.lemminx.settings.FaultTolerantTypeAdapterFactory

All Implemented Interfaces:
  `com.google.gson.TypeAdapterFactory`

    public class FaultTolerantTypeAdapterFactory
    extends Object
    implements com.google.gson.TypeAdapterFactory

Creates TypeAdapters that are wrapped in a try/catch statement, so if anything goes wrong when deserializing an object, it is set to null and not parsed.

### Constructor Summary

Constructors
`FaultTolerantTypeAdapterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> com.google.gson.TypeAdapter<T>` `create​(com.google.gson.Gson gson, com.google.gson.reflect.TypeToken<T> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FaultTolerantTypeAdapterFactory

    public FaultTolerantTypeAdapterFactory()

### Method Detail

#### create

    public <T> com.google.gson.TypeAdapter<T> create​(com.google.gson.Gson gson,
                                                     com.google.gson.reflect.TypeToken<T> type)

Specified by:
  `create` in interface `com.google.gson.TypeAdapterFactory`